const { remote } = require('electron')

window.addEventListener('DOMContentLoaded', () => {

    window.onbeforeunload = function () {
        let oBox = document.getElementsByClassName('dialog')[0]
        oBox.style.display = 'block'

        let yBtn = oBox.getElementsByClassName('confirm')[0]
        let nBtn = oBox.getElementsByClassName('confirm')[1]

        yBtn.addEventListener('click', () => {
            mainWin.destroy() // 不用 close 防止死循环
        })

        nBtn.addEventListener('click', () => {
            oBox.style.display = 'none'
        })

        return false
    }

    // 利用 remote 获取当前窗口对象
    let mainWin = remote.getCurrentWindow()

    // 获取元素添加点击操作的监听
    let aBtns = document.getElementsByClassName('function')

    aBtns[0].addEventListener('click', () => {
        // 最小化
        mainWin.minimize()
    })

    aBtns[1].addEventListener('click', () => {
        // 最大化
        mainWin.isMaximized() ? mainWin.restore() : mainWin.maximize()
    })

    aBtns[2].addEventListener('click', () => {
        // 关闭窗口操作
        mainWin.close()
    })
})